Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Class MessageComposer.Factory

    java.lang.Object
      org.jboss.soa.esb.listeners.message.MessageComposer.Factory

Enclosing interface:
  MessageComposer<T>

    public static class MessageComposer.Factory

extends java.lang.Object

Uitility factory class for reflective `MessageComposer` construction.

Constructor Summary
`MessageComposer.Factory()`

Method Summary
`static MessageComposer` | `getInstance(java.lang.String className, ConfigTree config)` Factory method.
`static MessageComposer` | `getInstance(java.lang.String className, ConfigTree config, java.lang.Class legacyAdapterType)` Factory method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageComposer.Factory

    public MessageComposer.Factory()

Method Detail

### getInstance

    public static MessageComposer getInstance(java.lang.String className,
                                              ConfigTree config)
                                       throws ConfigurationException,
                                              MessageDeliverException

  Factory method.

  Parameters:
    `className` - Class name.
    `config` - The composer configuration.
  Returns:
    Composer instance.
  Throws:
    `ConfigurationException` - Bad configuration.
    `MessageDeliverException` - Unable to construct composer.

### getInstance

    public static MessageComposer getInstance(java.lang.String className,
                                              ConfigTree config,
                                              java.lang.Class legacyAdapterType)
                                       throws ConfigurationException

  Factory method.

  Parameters:
    `className` - Class name.
    `config` - The composer configuration.
    `legacyAdapterType` - The `legacy adapter` to use if the configured composer is not a `MessageComposer` instance.
  Returns:
    Composer instance.
  Throws:
    `ConfigurationException` - Bad configuration. Unable to create composer instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD